%global momorel 5

%global real_name Mail-SpamAssassin
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Summary: Spam filter for email which can be invoked from mail delivery agents
Name: spamassassin
Version: 3.2.5
Release: %{momorel}m%{?dist}
License: Apache
Group: Applications/Internet
Source0: http://www.apache.org/dist/spamassassin/source/%{real_name}-%{version}.tar.bz2
NoSource: 0
Source2: redhat_local.cf
Source3: spamassassin-default.rc
Source4: spamassassin-spamc.rc
Source5: spamassassin.sysconfig
Source6: sa-update.logrotate
Source7: sa-update.crontab
Source8: sa-update.cronscript
Source10: spamassassin-helper.sh
URL: http://spamassassin.apache.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.2
BuildPreReq: perl-HTML-Parser
BuildPreReq: perl-libwww-perl
BuildPreReq: perl-Mail-SPF
BuildPreReq: perl-Mail-SPF-Query
BuildPreReq: perl-Net-DNS >= 0.31-2m
BuildPreReq: perl-NetAddr-IP
BuildPreReq: perl-IP-Country
BuildPreReq: perl-Net-Ident
BuildPreReq: perl-IO-Socket-INET6
BuildPreReq: perl-IO-Socket-SSL
BuildPreReq: perl-Mail-DKIM
BuildPreReq: perl-Mail-DomainKeys
BuildPreReq: perl-DBI
BuildPreReq: perl-Encode-Detect
BuildPreReq: mod_perl
BuildPreReq: perl-Razor-Agent
BuildPreReq: perl-devel
PreReq:      chkconfig
Requires:    perl(DB_File)
Requires:    perl-HTML-Parser
Requires:    perl-libwww-perl
Requires:    perl-Mail-SPF
Requires:    perl-Mail-SPF-Query
Requires:    perl-Mail-DKIM
Requires:    perl-Mail-DomainKeys
Requires:    perl-Net-Ident
Requires:    perl-IO-Socket-INET6
Requires:    perl-IO-Socket-SSL
Requires:    perl-Razor-Agent
Provides:    SpamAssassin
Obsoletes:   SpamAssassin

%description
SpamAssassin provides you with a way to reduce, if not completely eliminate,
Unsolicited Bulk Email (or "spam") from your incoming email.  It can be
invoked by a MDA such as sendmail or postfix, or can be called from a procmail
script, .forward file, etc.  It uses a genetic-algorithm-evolved scoring system
to identify messages which look spammy, then adds headers to the message so
they can be filtered by the user's mail reading software.  This distribution
includes the spamd/spamc components which considerably speeds processing of
mail.

%prep
%setup -q -n Mail-SpamAssassin-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL DESTDIR=$RPM_BUILD_ROOT/ SYSCONFDIR=%{_sysconfdir} INSTALLDIRS=vendor ENABLE_SSL=yes < /dev/null
%{__make} OPTIMIZE="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%buildroot/%{prefix} \
        INSTALLMAN1DIR=%buildroot/%{_mandir}/man1 \
        INSTALLMAN3DIR=%buildroot/%{_mandir}/man3 \
        LOCAL_RULES_DIR=%{buildroot}/etc/mail/spamassassin
chmod 755 %buildroot/%{_bindir}/* # allow stripping
install -d %buildroot/%{_initscriptdir}
install -m 0755 spamd/redhat-rc-script.sh %buildroot/%{_initscriptdir}/spamassassin

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/local.cf
install -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/spamassassin

install -m 0644 %{SOURCE3} %buildroot/etc/mail/spamassassin
install -m 0644 %{SOURCE4} %buildroot/etc/mail/spamassassin
# installed mode 755 as it's executed by users. 
install -m 0755 %{SOURCE10} %buildroot/etc/mail/spamassassin
install -m 0644 %{SOURCE6} %buildroot/etc/logrotate.d/sa-update
install -m 0644 %{SOURCE7} %buildroot/etc/cron.d/sa-update
# installed mode 744 as non root users can't run it, but can read it.
install -m 0744 %{SOURCE8} %buildroot%{_datadir}/spamassassin/sa-update.cron

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi
find $RPM_BUILD_ROOT%{perl_vendorlib}/* -type d -print |
        sed "s@^$RPM_BUILD_ROOT@%dir @g" >> %{name}-%{version}-filelist

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/spamassassin
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/spamassassin

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc LICENSE NOTICE CREDITS Changes README TRADEMARK UPGRADE
%doc USAGE sample-nonspam.txt sample-spam.txt
%{_initscriptdir}/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin
%config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
%config(noreplace) %{_sysconfdir}/cron.d/sa-update
%dir %{_datadir}/spamassassin
%dir %{_localstatedir}/run/spamassassin
%dir %{_localstatedir}/lib/spamassassin
%config(noreplace) %{_sysconfdir}/logrotate.d/sa-update

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add spamassassin

# -a and --auto-whitelist options were removed from 3.0.0
# prevent service startup failure
TMPFILE=$(/bin/mktemp /etc/sysconfig/spamassassin.XXXXXX) || exit 1
cp /etc/sysconfig/spamassassin $TMPFILE
perl -p -i -e 's/(["\s]-\w+)a/$1/ ; s/(["\s]-)a(\w+)/$1$2/ ; s/(["\s])-a\b/$1/' $TMPFILE
perl -p -i -e 's/ --auto-whitelist//' $TMPFILE
# replace /etc/sysconfig/spamassassin only if it actually changed
cmp /etc/sysconfig/spamassassin $TMPFILE || cp $TMPFILE /etc/sysconfig/spamassassin
rm $TMPFILE

if [ -f /etc/spamassassin.cf ]; then
        %{__mv} /etc/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi
if [ -f /etc/mail/spamassassin.cf ]; then
        %{__mv} /etc/mail/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service spamassassin condrestart > /dev/null 2>&1
fi
exit 0

%preun
if [ $1 = 0 ]; then
    /sbin/service spamassassin stop > /dev/null 2>&1
    /sbin/chkconfig --del spamassassin
fi
exit 0

%changelog
* Wed Jun 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.5-5m)
- fix typo so that the target directory is perl_vendorlib now

* Mon May 18 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.5-4m)
- rename SpamAssassin to spamassassin
- sync Fedora

* Fri Mar  6 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.5-3m)
- bug fix; replace %%postun with %%preun

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.5-2m)
- rebuild against rpm-4.6

* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.5-1m)
- update to 3.2.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.4-3m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.2.4-2m)
- rebuild against perl-5.10.0-1m

* Wed Jan  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Sun Aug 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.3-2m)
- fix %%changelog section

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-2m)
- add BuildPreReq: and Requires:

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2
- update and rename patch0

* Tue Jun 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.1-1m)
- [SECURITY] CVE-2007-2873
- update to 3.2.1

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.8-2m)
- use vendor

* Fri Feb 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.8-1m)
- [SECURITY] CVE-2007-0451
- update to 3.1.8

* Fri Oct 13 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.1.7-1m)
- update to 3.1.7

* Sun Oct  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1.6-1m)
- update to 3.1.6
- delete patch1 and use perl script to fix perl path

* Sat Sep  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.5-1m)
- update to 3.1.5
- maintainance release of the 3.1.x
- add patch1 for fixing path to perl

* Fri Jul 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.4-1m)
- update to 3.1.4
- maintainance release of the 3.1.x

* Wed Jun  7 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.3-1m)
- update to 3.1.3
- fixes a remote code execution vulnerability [CVE-2006-2447]

* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.2-1m)
- update to 3.1.2

* Sat Apr  8 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.1.1-1m)
- update to 3.1.1

* Sat Feb 11 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.0-3m)
- update spec for perl(DB_File)

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.0-2m)
- rebuild against perl-5.8.8

* Mon Dec 12 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.1.0-1m)
- update to 3.1.0

* Mon Jun 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.0.4)
- up to 3.0.4
- [SECURITY] CAN-2005-1266


* Mon Jun 13 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0.2-2m)
- rebuilt against perl-5.8.7

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2-1m)
- minor bugfixes

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0.1-2m)
- enable x86_64.

* Sun Nov 07 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Sun Sep 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-3m)
- comment out Requires perl-Statistics-Distributions and perl-Parse-Syslog

* Sun Sep 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-2m)
- add Requires: perl-Statistics-Distributions >= 1.02-1m
- add Requires: perl-Parse-Syslog >= 1.03-1m

* Sat Sep 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-1m)
- version up to 3.0.0
- change License: GPL to Apache
- change Source0 URI
- use %%NoSource
- change URL: http://spamassassin.apaceh.org/
- delete included Patch0
- use spamc/libspamc.so insted of spamd/libspamc.so
- use spamc/libspamc.h insted of spamd/libspamc.h
- delete CONTRIB_CERT and COPYRIGHT at %%doc
- change License to LICENSE at %%doc
- add CREDITS, INSTALL, NOTICE, STATUS, UPGRADE, ldap at %%doc
- delet qmail at %%doc
- add %%config(noreplace) %%{_sysconfdir}/mail/spamassassin/init.pre

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.64-2m)
- rebuild against perl-5.8.5

* Thu Aug  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.64-1m)
- minor security fixes

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.63-5m)
- remove Epoch from BuildPrereq

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.63-4m)
- stop daemon

* Thu Mar 16 2004 Toru Hoshina <t@momonga-linux.org>
- (2.63-3m)
- revised spec to use perl_sitearch and perl_archlib instead hardcoding.

* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.63-2m)
- revised spec for enabling rpm 4.2.

* Wed Jan 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.63-1m)
- minor bugfixes

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.62-1m)
- minor bugfixes

* Mon Jan 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.61-1m)
- major bugfixes

* Thu Nov 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.60-3m)
- add Requiers: perl-DB_File (for sa-learn)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.60-2m)
- rebuild against perl-5.8.2
- rebuild against perl-Net-DNS 0.39_02-5m
- rebuild against perl-SMTP-Server 1.1-6m
- rebuild against perl-HTML-Parser 3.33-4m

* Sat Nov  8 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.60-1m)
- rebuild against perl-5.8.1
- update to 2.6.0

* Tue May 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.55-1m)
- minor bugfixes

* Tue May 13 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-1m)
- major bugfixes

* Sat Apr 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.53-2m)
- add BuildPreReq: perl-HTML-Parser >= 3.27-1m

* Fri Apr  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.53-1m)
- major bugfixes

* Tue Apr  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.52-1m)
- major bugfixes

* Fri Mar 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.51-1m)
- major feature enhancements

* Sat Feb  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.44-1m)

* Wed Feb  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-3m)
- apply a patch to fix remote buffer overflow vulnerability
  (http://marc.theaimsgroup.com/?l=bugtraq&m=104342896818777&w=2)

* Wed Nov 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-2m)
- revise %%install

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.43-1m)
- rebuild against perl-5.8.0

* Sun Oct  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.42-1m)

* Wed Sep 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.41-1m)
- change License to GPL
- add more documents

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.31-3m)
- revise URIs

* Mon Jun 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.31-2k)

* Sun Apr 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.20-2k)

* Thu Feb 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.1-2k)

* Tue Feb 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.01-4k)
- %config local.cf

* Tue Feb 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.01-2k)

* Thu Jan 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.0-2k)
